<? if (isset($_SESSION['mu_nvchon'])) { ?>
<div class="primary-block">
    <div class="main-content">
        <h1 class="title-content"><? echo $event_tichluythe_name." Từ 0h00 ".date_format(date_create($event_tichluythe_begin), 'd-m')." đến 24h00 ".date_format(date_create($event_tichluythe_end), 'd-m'); ?></h1>
    </div>
</div>


<div class="priority-block out-top-20">
    <div class="head-block">
        <h1 class="title-head"><span class="text-semibold">Lưu ý</span></h1>
    </div>
    <div class="in-20">
        <ul class="noted in-left-10">
            <li><strong>Thời gian diễn ra Event</strong> : <? echo "Từ 0h00 ".date_format(date_create($event_tichluythe_begin), 'd-m')." đến 24h00 ".date_format(date_create($event_tichluythe_end), 'd-m'); ?>.</li>
            <li><strong>Tổng thẻ tích lũy</strong> : Là tổng số tiền <strong>nạp thẻ</strong>.</li>
            <li><strong>Nếu Item có hạn sử dụng</strong> : Phải chọn đúng nhân vật nhận item, vì item sẽ được trao vào rương cá nhân của nhân vật đã chọn.</li>
        </ul>
    </div>
</div>

<div class="primary-block out-top-20">
    <div class="head-block">
        <h1 class="title-head"><span class="text-semibold">Thông tin</span></h1>
    </div>
    <div class="in-20">
        <div class="form-2">
            
            <div class="form-row">
                <div class="form-col-1">
                    <span>Tổng thẻ tích lũy </span>
                </div>
                <div class="form-col-2">
                    <span class="tag tag-red"><b><? echo number_format($tichluythe_check, 0, ',', '.'); ?></b></font></span>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="out-top-20">
        <table class="table table-blue-white table-border-2">
            <thead>

            <tr bgcolor="#FFFFFF">
                <th align="center"><b>Tổng thẻ tích lũy</b></th>
                <th align="center" width="500"><b>Phần Thưởng</b></th>
                <th align="center"><b>Nhận thưởng</b></th>
            </tr>

            </thead>

            <tbody>
            
            <?
            if(is_array($tichluythe_arr)) {
                foreach($tichluythe_arr as $k => $v) {
                    $gift_des = '';
                    if(strlen($v['item_all']) > 0 && strlen($v['item_all'])%32 == 0) {
						$gift_des .= "Phần thưởng Item vĩnh viễn : ". $v['msg_item_all'] ."<br />";
						$itemtotal = floor(strlen($v['item_all'])/32);
						$arayItem=array();
						for($i=0; $i<$itemtotal; ++$i) {
							$item = substr($v['item_all'],$i*32,32);
							//$Item_Info=check_code($item,1);
							array_push($arayItem,$item);
							//$gift_des .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
						$count=array_count_values($arayItem);
						foreach($count as $key=>$val){
							$Item_Info=check_code($key,1);
							$gift_des .= "<img src='items/".$Item_Info['image'].".gif'>"."x".$val;
						}
                    }
                    if(strlen($v['item_time_all']) > 0 && strlen($v['item_time_all'])%32 == 0) {
                        $gift_des .= "<br />Phần thưởng Item sử dụng trong <strong>". $v['day_item_time_all'] ." ngày</strong> : ". $v['msg_item_time_all'] ."<br />";
						$itemtotal = floor(strlen($v['item_time_all'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_time_all'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_des .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    
                    $gift_dw = '';
                    if(strlen($v['item_dw']) > 0 && strlen($v['item_dw'])%32 == 0) {
                        $gift_dw .= "Phần thưởng Item vĩnh viễn : ". $v['msg_item_dw'] ."<br />";
						$itemtotal = floor(strlen($v['item_dw'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_dw'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_dw .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($v['item_time_dw']) > 0 && strlen($v['item_time_dw'])%32 == 0 && $v['day_item_time_dw'] > 0) {
                        $gift_dw .= "<br />Phần thưởng Item sử dụng trong <strong>". $v['day_item_time_dw'] ." ngày</strong> : ". $v['msg_item_time_dw'] ."<br />";
						$itemtotal = floor(strlen($v['item_time_dw'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_time_dw'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_dw .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($gift_dw) > 0) $gift_des .= "<hr /><strong>Phù Thủy</strong><br />$gift_dw";
                    
                    $gift_dk = '';
                    if(strlen($v['item_dk']) > 0 && strlen($v['item_dk'])%32 == 0) {
                        $gift_dk .= "Phần thưởng Item vĩnh viễn : ". $v['msg_item_dk'] ."<br />";
						$itemtotal = floor(strlen($v['item_dk'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_dk'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_dk .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($v['item_time_dk']) > 0 && strlen($v['item_time_dk'])%32 == 0 && $v['day_item_time_dk'] > 0) {
                        $gift_dk .= "<br />Phần thưởng Item sử dụng trong <strong>". $v['day_item_time_dk'] ." ngày</strong> : ". $v['msg_item_time_dk'] ."<br />";
						$itemtotal = floor(strlen($v['item_time_dk'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_time_dk'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_dk .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($gift_dk) > 0) $gift_des .= "<hr /><strong>Chiến Binh</strong><br />$gift_dk";
                    
                    $gift_elf = '';
                    if(strlen($v['item_elf']) > 0 && strlen($v['item_elf'])%32 == 0) {
                        $gift_elf .= "Phần thưởng Item vĩnh viễn : ". $v['msg_item_elf'] ."<br />";
						$itemtotal = floor(strlen($v['item_elf'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_elf'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_elf .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($v['item_time_elf']) > 0 && strlen($v['item_time_elf'])%32 == 0 && $v['day_item_time_elf'] > 0) {
                        $gift_elf .= "<br />Phần thưởng Item sử dụng trong <strong>". $v['day_item_time_elf'] ." ngày</strong> : ". $v['msg_item_time_elf'] ."<br />";
						$itemtotal = floor(strlen($v['item_time_elf'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_time_elf'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_elf .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($gift_elf) > 0) $gift_des .= "<hr /><strong>Tiên Nữ</strong><br />$gift_elf";
                    
                    $gift_mg = '';
                    if(strlen($v['item_mg']) > 0 && strlen($v['item_mg'])%32 == 0) {
                        $gift_mg .= "Phần thưởng Item vĩnh viễn : ". $v['msg_item_mg'] ."<br />";
						$itemtotal = floor(strlen($v['item_mg'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_mg'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_mg .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($v['item_time_mg']) > 0 && strlen($v['item_time_mg'])%32 == 0 && $v['day_item_time_mg'] > 0) {
                        $gift_mg .= "<br />Phần thưởng Item sử dụng trong <strong>". $v['day_item_time_mg'] ." ngày</strong> : ". $v['msg_item_time_mg'] ."<br />";
						$itemtotal = floor(strlen($v['item_time_mg'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_time_mg'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_mg .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($gift_mg) > 0) $gift_des .= "<hr /><strong>Đấu Sĩ</strong><br />$gift_mg";
                    
                    $gift_dl = '';
                    if(strlen($v['item_dl']) > 0 && strlen($v['item_dl'])%32 == 0) {
                        $gift_dl .= "Phần thưởng Item vĩnh viễn : ". $v['msg_item_dl'] ."<br />";
						$itemtotal = floor(strlen($v['item_dl'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_dl'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_dl .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($v['item_time_dl']) > 0 && strlen($v['item_time_dl'])%32 == 0 && $v['day_item_time_dl'] > 0) {
                        $gift_dl .= "<br />Phần thưởng Item sử dụng trong <strong>". $v['day_item_time_dl'] ." ngày</strong> : ". $v['msg_item_time_dl'] ."<br />";
						$itemtotal = floor(strlen($v['item_time_dl'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_time_dl'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_dl .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($gift_dl) > 0) $gift_des .= "<hr /><strong>Chúa Tể</strong><br />$gift_dl";
                    
                    $gift_sum = '';
                    if(strlen($v['item_sum']) > 0 && strlen($v['item_sum'])%32 == 0) {
                        $gift_sum .= "Phần thưởng Item vĩnh viễn : ". $v['msg_item_sum'] ."<br />";
						$itemtotal = floor(strlen($v['item_sum'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_sum'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_sum .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($v['item_time_sum']) > 0 && strlen($v['item_time_sum'])%32 == 0 && $v['day_item_time_sum'] > 0) {
                        $gift_sum .= "<br />Phần thưởng Item sử dụng trong <strong>". $v['day_item_time_sum'] ." ngày</strong> : ". $v['msg_item_time_sum'] ."<br />";
						$itemtotal = floor(strlen($v['item_time_sum'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_time_sum'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_sum .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($gift_sum) > 0) $gift_des .= "<hr /><strong>Thuật Sĩ</strong><br />$gift_sum";
                    
                    $gift_rf = '';
                    if(strlen($v['item_rf']) > 0 && strlen($v['item_rf'])%32 == 0) {
                        $gift_rf .= "Phần thưởng Item vĩnh viễn : ". $v['msg_item_rf'] ."<br />";
						$itemtotal = floor(strlen($v['item_rf'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_rf'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_rf .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($v['item_time_rf']) > 0 && strlen($v['item_time_rf'])%32 == 0 && $v['day_item_time_rf'] > 0) {
                        $gift_rf .= "<br />Phần thưởng Item sử dụng trong <strong>". $v['day_item_time_rf'] ." ngày</strong> : ". $v['msg_item_time_rf'] ."<br />";
						$itemtotal = floor(strlen($v['item_time_rf'])/32);
						for($i=0; $i<$itemtotal; ++$i) {
						$item = substr($v['item_time_rf'],$i*32,32);
						$Item_Info=check_code($item,1);
						$gift_rf .= "<img src='items/".$Item_Info['image'].".gif'>";
						}
                    }
                    if(strlen($gift_rf) > 0) $gift_des .= "<hr /><strong>Thiết Binh</strong><br />$gift_rf";
                    
                    $percent_bar = ($tichluythe_check*100)/$k;
                    if($percent_bar > 100) $percent_bar = 100;
                    
                    if(is_array($gift_danhan_arr) && in_array($k, $gift_danhan_arr)) {
                        $btn_val = "Đã nhận";
                        $btn_avai = "disabled='disabled'";
                    } else {
                        if($tichluythe_check < $k) {
                            $btn_val = "Chưa đạt";
                            $btn_avai = "disabled='disabled'";
                        } else {
                            $btn_val = "Nhận thưởng";
                            $btn_avai = "";
                        }
                    }
            ?>
            <tr bgcolor="#FFFFFF">
                <td align="center">
                    <b><? echo $tichluythe_check; ?></b> / <? echo number_format($k); ?>
                    <div class="progress-bar">
                        <div class="progress" id="progress_bar_str" style="width:<? echo $percent_bar; ?>%"></div>
                    </div>
                </td>
                <td align="center" width="500"><? echo $gift_des; ?></td>
                <td align="center">
                    <div class="group-popup2">
                        <div class="box-popup box-popup-red" data-popup="popup-click-<? echo $k; ?>"></div>
                        <input data-showpopup="<? echo $k; ?>" value="<? echo $btn_val; ?>" <? echo $btn_avai; ?> class="btn_tichluythe btn btn-green btn-block btn-lg" id="btn_tichluythe_<? echo $k; ?>" gift_thenap="<? echo $k; ?>" type="button" />

                    </div>

                    <span id="loading_<? echo $k; ?>"></span>
                </td>
            </tr>
            <?
                }
            }
            ?>
            </tbody>
        </table>

</div>
<? } else include('templates/char_manager.aspx'); ?>